Function
remapFileSegment
Change the size of a memory-mapped file segment.
remapFileSegment(mapping, oldAddr, oldFileOfs, oldSize, newSize)
Include Headers
seqan/file.h
Parameters

mapping | A file mapping object. Types: FileMapping
oldAddr | The address returned by mapFileSegment.
oldFileOfs | The fileOfs parameter used in mapFileSegment.
oldSize | The size parameter used in mapFileSegment.
newSize | The new segment length in bytes.

Return Values
A pointer to the beginning of the memory-mapped segment in memory or NULL on error.
Types: void *
Member of
FileMapping
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58